SMSH(4) | Kernel Interfaces Manual | SMSH(4)

# NAME

smsh — SMSC LAN9118/LAN9218 Family Ethernet interfaces device driver

# SYNOPSIS

smsh0 at gxio? port 0x40000300 gpirq 99

# DESCRIPTION

The smsh device driver supports SMSC LAN9118 and LAN9218 Family Ethernet interfaces.

The ISA attachment of the smsh driver supports any LAN9118 Family Ethernet interface on the ISA bus, the on-board LAN9118 Family Ethernet found in many embedded PCs. However, no ISA attachment has been written yet.

LAN9218 Family supports also HP Auto-MDIX.

# MEDIA SELECTION

Media selection done using ifconfig(8) using the standard ifmedia(4) mechanism. Refer to those manual pages for more information.

# SEE ALSO

ifmedia(4), intro(4), isa(4), mii(4), ifconfig(8)

# HISTORY

The smsh driver first appeared in NetBSD 6.0.

# AUTHORS

The smsh driver was written by KIYOHARA Takashi <kiyohara@kk.iij4u.or.jp>.

# BUGS

No ISA attachment yet.

December 2, 2009 | NetBSD 6.0